<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VivianUI: Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">VivianUI
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('functions_s.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all class members with links to the classes they belong to:</div>

<h3><a id="index_s" name="index_s"></a>- s -</h3><ul>
<li>SanitizePath()&#160;:&#160;<a class="el" href="class_tri_lib_1_1_file_utils.html#a22b0609cba2b3af1dd0c3497bb9883da">TriLib.FileUtils</a></li>
<li>SaveFilePanel()&#160;:&#160;<a class="el" href="interface_s_f_b_1_1_i_standalone_file_browser.html#a0562573c818a6f48c37b2963e3a7b748">SFB.IStandaloneFileBrowser</a>, <a class="el" href="class_s_f_b_1_1_standalone_file_browser.html#adaa606c9f381e863ee253ea38cb47151">SFB.StandaloneFileBrowser</a></li>
<li>SaveFilePanelAsync()&#160;:&#160;<a class="el" href="interface_s_f_b_1_1_i_standalone_file_browser.html#a112db8b391e2026b461426f30f09e8fa">SFB.IStandaloneFileBrowser</a>, <a class="el" href="class_s_f_b_1_1_standalone_file_browser.html#ab268667bb4c7d63680ab47863442a6f3">SFB.StandaloneFileBrowser</a></li>
<li>SaveProject()&#160;:&#160;<a class="el" href="class_project_files_controller.html#aed7f6eed3c917e6bc4e5028212e7d2a1">ProjectFilesController</a></li>
<li>SaveVivianSpecificationToDisk()&#160;:&#160;<a class="el" href="class_project_files_controller.html#a465eedff13384dab7e334c57e6d88a1d">ProjectFilesController</a></li>
<li>Scale&#160;:&#160;<a class="el" href="class_tri_lib_1_1_asset_loader_options.html#a2b3beab1239e329f1d98c27770b3c69a">TriLib.AssetLoaderOptions</a>, <a class="el" href="class_tri_lib_1_1_extras_1_1_avatar_loader.html#ae40cbb03909baa43f0e3888ad23a563b">TriLib.Extras.AvatarLoader</a></li>
<li>ScaleValue&#160;:&#160;<a class="el" href="class_tri_lib_1_1_asset_advanced_config.html#a22d112fd4998500b474d50f6527dded5">TriLib.AssetAdvancedConfig</a></li>
<li>scaleWithScreenSize&#160;:&#160;<a class="el" href="classcakeslice_1_1_outline_effect.html#ab52716b6fec88d0df4c75961ca7a86d9">cakeslice.OutlineEffect</a></li>
<li>ScanForAlphaMaterials&#160;:&#160;<a class="el" href="class_tri_lib_1_1_asset_loader_options.html#ac9faae6c1fdc1c3841a2b9c5c84ee154">TriLib.AssetLoaderOptions</a></li>
<li>Scene&#160;:&#160;<a class="el" href="class_tri_lib_1_1_asset_loader_base.html#ae745d71e76bce2fd473de1c878cb6a50">TriLib.AssetLoaderBase</a></li>
<li>ScriptsDirectory&#160;:&#160;<a class="el" href="class_doxygen_config.html#aea53b2e7fc0f47a7f658ce25e65c4a09">DoxygenConfig</a></li>
<li>Select&#160;:&#160;<a class="el" href="struct_controls_1_1_player_actions.html#a1465bd044200f161ae929f721812bce8">Controls.PlayerActions</a></li>
<li>SelectedElement&#160;:&#160;<a class="el" href="class_model_manipulator.html#ae16c9faae6ba7e68c765a3ebf260ef99">ModelManipulator</a></li>
<li>SelectedTheme&#160;:&#160;<a class="el" href="class_doxygen_window.html#aff9bfc8c7ed3f017a61e67025ea7c99a">DoxygenWindow</a></li>
<li>Semantic&#160;:&#160;<a class="el" href="interface_tri_lib_1_1_i_material_property.html#a68f7bcbab8e51bdce6d639543e01bffb">TriLib.IMaterialProperty</a>, <a class="el" href="class_tri_lib_1_1_material_property.html#aac5f821a547747e2245770f67eca92ff">TriLib.MaterialProperty&lt; T &gt;</a></li>
<li>Serialize()&#160;:&#160;<a class="el" href="class_tri_lib_1_1_asset_loader_options.html#af034052c78eac9477f5ba87ce392d306">TriLib.AssetLoaderOptions</a></li>
<li>SetCallbacks()&#160;:&#160;<a class="el" href="struct_controls_1_1_player_actions.html#a011aadec6501418214c55e5f3b3d581f">Controls.PlayerActions</a></li>
<li>SetCurrentState()&#160;:&#160;<a class="el" href="class_utils.html#a4187f0ec97cc29945c425bb46c4cc0d8">Utils</a></li>
<li>SetCurve()&#160;:&#160;<a class="el" href="class_tri_lib_1_1_animation_channel_data.html#ab8b314dd8298200f745ead6ac3e0f3c1">TriLib.AnimationChannelData</a></li>
<li>SetFinished()&#160;:&#160;<a class="el" href="class_doxy_thread_safe_output.html#a97e2149569e2bb5e749851daa2781423">DoxyThreadSafeOutput</a></li>
<li>SetOutline()&#160;:&#160;<a class="el" href="class_outliner.html#a94ed3ea9e14860e6196bef51fc2ff6b8">Outliner</a></li>
<li>SetRecentProjects()&#160;:&#160;<a class="el" href="class_project_files_controller.html#adaa01697d0900cf78f411a18dc7090da">ProjectFilesController</a></li>
<li>SetStarted()&#160;:&#160;<a class="el" href="class_doxy_thread_safe_output.html#ad08186c77f145bc3cb1ddb50259ef589">DoxyThreadSafeOutput</a></li>
<li>SetTarget()&#160;:&#160;<a class="el" href="class_model_manipulator.html#aa07b5a7f24935046611034fb81eff4b0">ModelManipulator</a></li>
<li>Settings()&#160;:&#160;<a class="el" href="class_tri_lib_editor_1_1_tri_lib_settings_provider.html#ab6e47fc68d5aeba0974215b4fcc029a2">TriLibEditor.TriLibSettingsProvider</a></li>
<li>SetupAnimations()&#160;:&#160;<a class="el" href="class_tri_lib_1_1_asset_loader_base.html#abc98e07d817d0e6c66843b6bb6e82c33">TriLib.AssetLoaderBase</a></li>
<li>SetupSkinnedMeshRendererTransforms()&#160;:&#160;<a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a8b4bd25a2f6c802d1d359b44e5597038">TriLib.AssetLoaderBase</a></li>
<li>SharedMaterials&#160;:&#160;<a class="el" href="classcakeslice_1_1_outline.html#a6232f0bd919ea5b8abdaa9bae020b48b">cakeslice.Outline</a></li>
<li>ShowDialog()&#160;:&#160;<a class="el" href="class_tri_lib_1_1_samples_1_1_error_dialog.html#a164d40570c918dac17e2593bc35f4ce7">TriLib.Samples.ErrorDialog</a>, <a class="el" href="class_tri_lib_1_1_samples_1_1_u_r_i_dialog.html#abfc4a78f9d2a6b5c8f1ecef17f218886">TriLib.Samples.URIDialog</a></li>
<li>ShowExample()&#160;:&#160;<a class="el" href="class_u_i_builder.html#af1b85f29c585d2c629f09ee71ca2f84f">UIBuilder</a></li>
<li>ShowFileOpenDialog()&#160;:&#160;<a class="el" href="class_tri_lib_1_1_samples_1_1_file_open_dialog.html#a3445911cd0080d9b530a249d2438683c">TriLib.Samples.FileOpenDialog</a></li>
<li>ShowModal()&#160;:&#160;<a class="el" href="class_vivian_u_i.html#a21a955facfb160d6529f9b30b1ad8bf5">VivianUI</a></li>
<li>ShowProgress&#160;:&#160;<a class="el" href="class_tri_lib_1_1_asset_downloader.html#a4cf827664108235641a29acb6f26c316">TriLib.AssetDownloader</a></li>
<li>SituationsList&#160;:&#160;<a class="el" href="class_vivian_u_i.html#a949804d1762a0b81969f6694d3eae538">VivianUI</a></li>
<li>SkinnedMeshRenderer&#160;:&#160;<a class="el" href="classcakeslice_1_1_outline.html#aac5a294fc95b12a6197a62227cea25ce">cakeslice.Outline</a>, <a class="el" href="class_tri_lib_1_1_samples_1_1_blend_shape_control.html#a79a628ac73965135aed501cf5c35ca64">TriLib.Samples.BlendShapeControl</a></li>
<li>sourceCamera&#160;:&#160;<a class="el" href="classcakeslice_1_1_outline_effect.html#af8d472fcea6d1d26cdbd95eef0c612b0">cakeslice.OutlineEffect</a></li>
<li>SpecsUI&#160;:&#160;<a class="el" href="class_element_picker.html#afe6090ae3f7a7cf71ac0b5d2f18e2858">ElementPicker</a></li>
<li>specsUI&#160;:&#160;<a class="el" href="class_project_json_wrapper.html#a1f43ce7470b8ef508c2d66736e8479e9">ProjectJsonWrapper</a></li>
<li>SpecularBlendMode&#160;:&#160;<a class="el" href="class_tri_lib_1_1_material_data.html#ab448c04badb2e947ba7c586631ba80a6">TriLib.MaterialData</a></li>
<li>SpecularColor&#160;:&#160;<a class="el" href="class_tri_lib_1_1_material_data.html#aebca5b72c5e9229dcd556fbeacbe5c4e">TriLib.MaterialData</a></li>
<li>SpecularColorLoaded&#160;:&#160;<a class="el" href="class_tri_lib_1_1_material_data.html#a473277a2de2b0e7f1bd433666e1b738e">TriLib.MaterialData</a></li>
<li>SpecularEmbeddedTextureData&#160;:&#160;<a class="el" href="class_tri_lib_1_1_material_data.html#a488a90506510fa1d684050e78500005c">TriLib.MaterialData</a></li>
<li>SpecularInfoLoaded&#160;:&#160;<a class="el" href="class_tri_lib_1_1_material_data.html#a2a8e4d4c109e35b0823e227b6982fb1e">TriLib.MaterialData</a></li>
<li>SpecularName&#160;:&#160;<a class="el" href="class_tri_lib_1_1_material_data.html#aa28f02cbcefd4be67ba04830e1332334">TriLib.MaterialData</a></li>
<li>SpecularOp&#160;:&#160;<a class="el" href="class_tri_lib_1_1_material_data.html#a236473b1a1850aa88be923352c987772">TriLib.MaterialData</a></li>
<li>SpecularPath&#160;:&#160;<a class="el" href="class_tri_lib_1_1_material_data.html#a5291552e18643eaff482621ac1ee182b">TriLib.MaterialData</a></li>
<li>SpecularWrapMode&#160;:&#160;<a class="el" href="class_tri_lib_1_1_material_data.html#ae2f86042081a0acaf7b76656e1feda1c">TriLib.MaterialData</a></li>
<li>StandardBaseAlphaMaterial&#160;:&#160;<a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a415926dd79eba1c095f92c42f37756c0">TriLib.AssetLoaderBase</a></li>
<li>StandardBaseCutoutMaterial&#160;:&#160;<a class="el" href="class_tri_lib_1_1_asset_loader_base.html#af8a12480a0ace6fd3b9e05550631030a">TriLib.AssetLoaderBase</a></li>
<li>StandardBaseFadeMaterial&#160;:&#160;<a class="el" href="class_tri_lib_1_1_asset_loader_base.html#ac6e30fe5ad51d54ccba1923394a1286f">TriLib.AssetLoaderBase</a></li>
<li>StandardBaseMaterial&#160;:&#160;<a class="el" href="class_tri_lib_1_1_asset_loader_base.html#ae3328de25cbb8fb625f5949cf39e8191">TriLib.AssetLoaderBase</a></li>
<li>StandardRoughnessAlphaMaterial&#160;:&#160;<a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a486749cb1f54a6c7e5bb65d779d4edfe">TriLib.AssetLoaderBase</a></li>
<li>StandardRoughnessCutoutMaterial&#160;:&#160;<a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a259ae1ff58852461872eb50a48382086">TriLib.AssetLoaderBase</a></li>
<li>StandardRoughnessFadeMaterial&#160;:&#160;<a class="el" href="class_tri_lib_1_1_asset_loader_base.html#ac8789de516ffab991302ea8ec73bdbf8">TriLib.AssetLoaderBase</a></li>
<li>StandardRoughnessMaterial&#160;:&#160;<a class="el" href="class_tri_lib_1_1_asset_loader_base.html#aaf2ca3e26b5dedea51a42ffbf7b414f6">TriLib.AssetLoaderBase</a></li>
<li>StandardSpecularAlphaMaterial&#160;:&#160;<a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a8dc6bc18710feafe2f9118630ca7dbda">TriLib.AssetLoaderBase</a></li>
<li>StandardSpecularCutoutMaterial&#160;:&#160;<a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a2fa43055b9480aaddd559bafbcef478d">TriLib.AssetLoaderBase</a></li>
<li>StandardSpecularFadeMaterial&#160;:&#160;<a class="el" href="class_tri_lib_1_1_asset_loader_base.html#acb87af6b8e29cf4cf80122b18cc5b3da">TriLib.AssetLoaderBase</a></li>
<li>StandardSpecularMaterial&#160;:&#160;<a class="el" href="class_tri_lib_1_1_asset_loader_base.html#aeff53d39ac2daf7d5e9579c86cfc7cc6">TriLib.AssetLoaderBase</a></li>
<li>Start()&#160;:&#160;<a class="el" href="class_modal.html#abac6faa7d5d572d5e10d24bed3db82d4">Modal</a>, <a class="el" href="class_modals_1_1_create_project_modal.html#a19f19883700e3f1b1e2de102322d2ca9">Modals.CreateProjectModal</a>, <a class="el" href="class_tri_lib_1_1_asset_downloader.html#aedbac08f96ecdcd81d6528443b0a0cb0">TriLib.AssetDownloader</a>, <a class="el" href="class_tri_lib_1_1_extras_1_1_avatar_loader.html#a6f3bd9cfc98d9642f467918d5184c494">TriLib.Extras.AvatarLoader</a>, <a class="el" href="class_tri_lib_1_1_extras_1_1_avatar_loader_sample.html#a14af6126a3dcbe72b7b341e9b87727c3">TriLib.Extras.AvatarLoaderSample</a>, <a class="el" href="class_tri_lib_1_1_samples_1_1_load_sample.html#ada1aceecf763b1bc03e2c77cd024c3f3">TriLib.Samples.LoadSample</a>, <a class="el" href="class_tri_lib_1_1_samples_1_1_load_sample_async.html#a8dc6613c8d2eac27dd7b015015121867">TriLib.Samples.LoadSampleAsync</a>, <a class="el" href="class_vivian_components_1_1_vivian_component.html#a9f61c5c5c6d1471ad091aae18c0526e7">VivianComponents.VivianComponent</a></li>
<li>StartOnLogicalDrives&#160;:&#160;<a class="el" href="class_tri_lib_1_1_samples_1_1_file_open_dialog.html#a40139988ef87ffe1680ec3805fe6f0b5">TriLib.Samples.FileOpenDialog</a></li>
<li>States&#160;:&#160;<a class="el" href="class_vivian_u_i.html#ab9239316612c110b78525d82acb295ef">VivianUI</a></li>
<li>StringToByteArray()&#160;:&#160;<a class="el" href="class_tri_lib_1_1_assimp_interop.html#ac55fc15fea8a5d28268423c5b4549bb5">TriLib.AssimpInterop</a></li>
<li>StringValue&#160;:&#160;<a class="el" href="class_tri_lib_1_1_asset_advanced_config.html#aee2f4037a73d84cd6b6232a55bb22281">TriLib.AssetAdvancedConfig</a></li>
<li>SubMeshName&#160;:&#160;<a class="el" href="class_tri_lib_1_1_mesh_data.html#ad08d0afdd627b0d8919cbf6b882c01f2">TriLib.MeshData</a></li>
<li>SwitchMode()&#160;:&#160;<a class="el" href="class_navbar.html#ac675445fda6f95888c4de7bc82c54843">Navbar</a>, <a class="el" href="class_vivian_u_i.html#acc92747134921494f33c3c42f786ff48">VivianUI</a></li>
<li>Synopsis&#160;:&#160;<a class="el" href="class_doxygen_config.html#a2b1926144ba2768c36de32a8d3445567">DoxygenConfig</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Mon Dec 20 2021 15:24:23 for VivianUI by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
